Bug 142069 - grub doesn't boot automatically (timeout option doesn't work)
grub doesn't boot automatically (timeout option doesn't work)
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 20:28 EST by Nerijus Baliūnas
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 19:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2004-12-06 20:28:37 EST
I have this problem on 2 different PCs - one Pentium 233 and another
PentiumII 500 (Compaq Workstation 400).

On the 1st PC - it never boots automatically when keyboard is plugged
in. It doesn't matter whether I pressed any key while computer booted
(before grub showed of course) or not. timeout option is set in
grub.conf. But, if I don't have keyboard plugged in, it starts
counting down and boots. Keyboard is AT style, not PS/2.

On the 2nd PC - sometimes it boots automatically, sometimes not. More
often not. Didn't try w/o keyboard (PS/2) though.

I chose Severity as high, as it's a big problem - I cannot reboot PC
remotely for example.
Comment 1 Nerijus Baliūnas 2004-12-06 20:31:32 EST
I see in another grub related bug report Alan Cox suggested clearing
keyboard buffer when grub starts. It might help in this case too.
Comment 2 Jeremy Katz 2004-12-13 20:45:14 EST
This works on all of the machines I have.  This really sounds like
BIOS bugs and not something I can do something about.
Comment 3 Nerijus Baliūnas 2004-12-13 21:19:46 EST
Why not try to clear keyboard buffer? See bug 134029.
BTW, forgot to tell, that this problem didn't happen on 1st PC with
FC2. It started only after an upgrade to FC3. So I reopen the bug, but
of course you cannot do anything, except maybe trying to clear
keyboard buffer when grub starts. Or is it like that already?
Comment 4 Peter Jones 2005-01-14 14:39:15 EST
Most likely it's not actually something in the keyboard buffer, but rather grub
restarting itself in the wrong mode.  What's your config file look like?
Comment 5 Nerijus Baliūnas 2005-01-14 18:54:43 EST
It is a standard one, I only tried to comment out hiddenmenu, but it didn't help:
default=1
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
#hiddenmenu
title Fedora Core (2.6.10-1.737_FC3)
        root (hd0,0)
        kernel /vmlinuz-2.6.10-1.737_FC3 ro root=/dev/sda3 quiet
        initrd /initrd-2.6.10-1.737_FC3.img

and a few more kernels.

Note You need to log in before you can comment on or make changes to this bug.